import { validate, parse } from '@aws-sdk/util-arn-parser';

function getArnFromEntity(entity, annotation) {
  var _a, _b;
  const arn = (_b = (_a = entity.metadata.annotations) == null ? void 0 : _a[annotation]) != null ? _b : "";
  if (!validate(arn)) {
    throw new Error(
      `Value for annotation ${annotation} was not a valid ARN: ${arn}`
    );
  }
  const parsedArn = parse(arn);
  return { arn, ...parsedArn };
}

export { getArnFromEntity as g };
//# sourceMappingURL=getArnFromEntity-7fd0e044.esm.js.map
